commit:     b6e3dee014da93a3a396c0d9b6e3038a6908ffad
Author:     Manuel <ljn0099 <AT> hotmail <DOT> com>
AuthorDate: Wed Jun 18 21:24:30 2025 +0000
Commit:     Manuel <ljn0099 <AT> hotmail <DOT> com>
CommitDate: Wed Jun 18 21:25:29 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b6e3dee0

dev-embedded/pico-sdk: new package, add 2.1.1

Signed-off-by: Manuel <ljn0099 <AT> hotmail.com>

 dev-embedded/pico-sdk/metadata.xml          | 11 +++++++++++
 dev-embedded/pico-sdk/pico-sdk-2.1.1.ebuild | 30 +++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-embedded/pico-sdk/metadata.xml 
b/dev-embedded/pico-sdk/metadata.xml
new file mode 100644
index 0000000000..3cf74c237b
--- /dev/null
+++ b/dev-embedded/pico-sdk/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Manuel</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">raspberrypi/pico-sdk</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-embedded/pico-sdk/pico-sdk-2.1.1.ebuild 
b/dev-embedded/pico-sdk/pico-sdk-2.1.1.ebuild
new file mode 100644
index 0000000000..81776c20c5
--- /dev/null
+++ b/dev-embedded/pico-sdk/pico-sdk-2.1.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit git-r3
+
+DESCRIPTION="Libraries and tools for C/C++ development on RP2040 and RP2350 
microcontrollers."
+HOMEPAGE="https://github.com/raspberrypi/pico-sdk";
+
+EGIT_REPO_URI="https://github.com/raspberrypi/pico-sdk.git";
+EGIT_BRANCH="master"
+EGIT_COMMIT="${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+
+src_install() {
+       dodir /opt/pico-sdk
+       cp -r "${S}/." "${D}/opt/pico-sdk/"
+       find "${D}/opt/pico-sdk" -type d -name ".git" -exec rm -rf '{}' +
+
+       echo "PICO_SDK_PATH=/opt/pico-sdk" > "${T}/99pico-sdk" || die
+       doenvd "${T}/99pico-sdk"
+}
+
+pkg_postinst() {
+       elog "If you want to use the Pico SDK now, run:"
+       elog "    source /etc/profile"
+}

Reply via email to